PingOne Platform APIs

Read One Verify Identity Assurance

GET {{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance

You retrieve the identity assurance claims for a specified user in a specified environment with the GET {{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance operation. This operation returns the identity assurance claims associated with the specified user, providing information about the methods used for identity proofing, the level of assurance achieved, and any relevant attributes or claims related to the user’s identity.

Prerequisites

Headers

Authorization      Bearer {{accessToken}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance' \
--header 'Authorization: Bearer {{accessToken}}'
var options = new RestClientOptions("{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /environments/{{envID}}/users/{{userID}}/identityAssurance HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/environments/{{envID}}/users/{{userID}}/identityAssurance")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/db5b9302-5079-4ec7-b177-e352977b2df6/identityAssurance"
        },
        "user": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/db5b9302-5079-4ec7-b177-e352977b2df6"
        }
    },
    "identityAssurance": {
        "verified_claims": {
            "verification": {
                "time": "2026-02-15T19:44:33.413Z",
                "trust_framework": "Verify Policy Test",
                "verification_process": "2ffe8f04-1ea5-4638-8c70-0f80b9a7518a"
            },
            "type": "document",
            "claims": {
                "birthdate": "1996-08-16",
                "address": {
                    "locality": "san antonio",
                    "region": "tx",
                    "country": "USA",
                    "street_address": "3199 weekley street",
                    "postal_code": "78231"
                },
                "given_name": "VINNIE GARNETTE",
                "family_name": "CHAMBERLAIN"
            },
            "check_details": [
                {
                    "organization": "VERIFF",
                    "check_method": "document",
                    "check_id": "edad9136-3c63-490f-9dd3-d953b6307e07"
                },
                {
                    "organization": "TransUnion",
                    "check_method": "electronic_record",
                    "check_id": "2026-02-15-14.44.18.967214"
                }
            ],
            "document_details": {
                "type": [
                    "DRIVERS_LICENSE"
                ],
                "issuer": {
                    "country": "US"
                },
                "document_number": "C378263832522",
                "date_of_issuance": "2024-07-08",
                "date_of_expiry": "2030-08-16"
            }
        }
    }
}